Skip to main content
POST
Duplicate Custom Role

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

custom_role_api_id
string
required

API identifier of the custom role (api_id)

Query Parameters

org_id
integer

Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.

Response

OK

Response for successfully duplicating a custom role

name
string

Name of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.

Example:

"This is My Custom Role"

api_id
string

API identifier of the duplicated custom role.

Example:

"my_custom_role_2"

description
string
Example:

"It has a custom permission configuration!"

org_id
integer | null

Unique identifier of an organization in Partoo.

Example:

42

is_builtin
boolean
Example:

false